import React from "react";
import { useNavigate } from "react-router-dom";
import { useAppContext } from "../_context";

export function AuthGuard({ component: Component, ...props }) {
  const { isLoggedIn } = useAppContext();
  const navigate = useNavigate();

  if (!isLoggedIn) {
    // Redirect to the home page if the user is not logged in
    navigate("/");
    return null; // You can return null or another component if needed
  }

  return <Component {...props} />;
}
